> For the complete documentation index, see [llms.txt](https://docs.xorosoft.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xorosoft.com/developers-api/third-party-logistics-3pl/list-item-inventory-by-quality.md).

# List Item Inventory by Quality

Retrieves inventory details for items based on specified quality attributes based on the provided 3PL account token.

```json
{"openapi":"3.0.3","info":{"title":"Xorosoft ERP Public API","version":"2026.07"},"tags":[{"name":"Third-Party Logistics (3PL)","description":"Use 3PL APIs when a warehouse or logistics provider needs account-specific access to customer orders, inventory, purchase orders, RMAs, bills, item receipts, packing slips, and related documents. 3PL requests use the 3PL account token generated in Xorosoft ERP so data access can be limited to the connected client account."}],"servers":[{"url":"https://res.xorosoft.io","description":"Xorosoft ERP API server"}],"security":[{"basic":[]}],"components":{"securitySchemes":{"basic":{"scheme":"basic","type":"http"}}},"paths":{"/api/xerp/account3pl/getiteminventorybyquality":{"get":{"parameters":[{"description":"A comma-separated list of product ids.","in":"query","name":"product_id","required":false,"schema":{"type":"string"}},{"description":"A comma-separated list of item ids.","in":"query","name":"item_id","required":false,"schema":{"type":"string"}},{"description":"A comma-separated list of base part numbers.","in":"query","name":"base_part_number","required":false,"schema":{"type":"string"}},{"description":"A comma-separated list of item numbers.","in":"query","name":"item_number","required":false,"schema":{"type":"string"}},{"description":"A comma-separated list of quality codes.","in":"query","name":"quality_code","required":false,"schema":{"type":"string"}},{"description":"A comma-separated list of quality names.","in":"query","name":"quality_name","required":false,"schema":{"type":"string"}},{"description":"A unique authentication token assigned to each 3PL account within the system.","in":"query","name":"account_token","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"Data":{"items":{"properties":{"Account3plCode":{"type":"string"},"Account3plName":{"type":"string"},"AlternativeItemNumber1":{"type":"string"},"AlternativeItemNumber2":{"type":"string","nullable":true},"AlternativeItemNumber3":{"type":"string","nullable":true},"AvailableQty":{"type":"number"},"BasePartNumber":{"type":"string"},"BrandId":{"type":"number"},"BrandName":{"type":"string"},"CategoryId":{"type":"number"},"CategoryName":{"type":"string"},"CustomFieldValue1":{"type":"string"},"CustomFieldValue15":{"type":"string"},"Description":{"type":"string"},"ItemId":{"type":"number"},"ItemNumber":{"type":"string"},"ItemUpc":{"type":"string"},"NotAvailableQty":{"type":"number"},"OnHandQty":{"type":"number"},"Option1Code":{"type":"string"},"Option1Name":{"type":"string"},"Option1Value":{"type":"string"},"Option2Code":{"type":"string"},"Option2Name":{"type":"string"},"Option2Value":{"type":"string"},"Option3Code":{"type":"string","nullable":true},"Option3Name":{"type":"string","nullable":true},"Option3Value":{"type":"string","nullable":true},"ProductCategoryId":{"type":"number","nullable":true},"ProductCategoryName":{"type":"string","nullable":true},"ProductId":{"type":"number"},"QualityCode":{"type":"string"},"QualityId":{"type":"number"},"QualityName":{"type":"string"},"StoreName":{"type":"string"},"SubCategoryId":{"type":"number"},"SubCategoryName":{"type":"string"}},"type":"object"},"type":"array"},"IsForwardRequest":{"type":"boolean"},"Message":{"type":"string"},"MessageTitle":{"type":"string","nullable":true},"Result":{"type":"boolean"}},"type":"object"}}},"description":"OK","headers":{}}},"tags":["Third-Party Logistics (3PL)"],"description":"Retrieves inventory details for items based on specified quality attributes based on the provided 3PL account token.","operationId":"get_account3pl_getiteminventorybyquality","summary":"List Item Inventory by Quality"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xorosoft.com/developers-api/third-party-logistics-3pl/list-item-inventory-by-quality.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
